Skip to main content
GET
/
api
/
v2
/
webhook-events
/
{id}
Get webhook event
curl --request GET \
  --url https://api.instantly.ai/api/v2/webhook-events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019e3bd1-8e79-773a-9f46-cc563ad13f18",
  "timestamp_created": "2026-05-18T16:00:49.785Z",
  "timestamp_created_date": "2024-01-15",
  "organization_id": "019e3bd1-8e79-773a-9f46-cc579db9c051",
  "success": true,
  "retry_count": 0,
  "will_retry": false,
  "webhook_url": "https://webhook.site/unique-url",
  "payload": {},
  "status_code": 200,
  "error_message": "Connection timeout",
  "timestamp_next_retry": "2026-05-18T16:00:49.785Z",
  "retry_group_id": "019e3bd1-8e79-773a-9f46-cc582ede3715",
  "retry_successful": true,
  "lead_email": "lead@example.com",
  "response_time_ms": 150
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019e3bd1-b65f-7aae-865f-0d6a25b791f7"

Response

The requested Webhook Event

A webhook event that was sent or attempted to be sent

id
string<uuid>
required
read-only

Unique identifier for the webhook event (UUID)

Example:

"019e3bd1-8e79-773a-9f46-cc563ad13f18"

timestamp_created
string<date-time>
required
read-only

Timestamp when the webhook event was created

Example:

"2026-05-18T16:00:49.785Z"

timestamp_created_date
string<date>
required
read-only

Date when the webhook event was created (for partitioning)

Example:

"2024-01-15"

organization_id
string<uuid>
required
read-only

Organization (workspace) UUID that owns this webhook event

Example:

"019e3bd1-8e79-773a-9f46-cc579db9c051"

success
boolean
required
read-only

Whether the webhook call was successful

Example:

true

retry_count
number
required
read-only

Number of retry attempts made

Example:

0

will_retry
boolean
required
read-only

Whether the webhook will be retried

Example:

false

webhook_url
string
required
read-only

Target URL where the webhook was sent

Example:

"https://webhook.site/unique-url"

payload
object
read-only

JSON payload that was sent/attempted to be sent

status_code
null | number
read-only

HTTP status code received from the webhook endpoint (if any)

Example:

200

error_message
null | string
read-only

Error message if the webhook failed

Example:

"Connection timeout"

timestamp_next_retry
null | string<date-time>
read-only

Timestamp for the next retry attempt (if applicable)

Example:

"2026-05-18T16:00:49.785Z"

retry_group_id
null | string<uuid>
read-only

UUID for grouping retry attempts

Example:

"019e3bd1-8e79-773a-9f46-cc582ede3715"

retry_successful
null | boolean
read-only

Whether the retry was successful (for retry events)

Example:

true

lead_email
null | string
read-only

Email address of the lead associated with this webhook event

Example:

"lead@example.com"

response_time_ms
null | number
read-only

Response time in milliseconds for the webhook call

Example:

150